## python-bioblend 0.7.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Blend.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Blend.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Blend"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Blend"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-bioblend (0.7.0-2) unstable; urgency=medium

  * Team upload.
  * Fixed Vcs- urls
  * Added python3-sphinx to build depends
  * Fixed JS dependency and links in docs (Closes: #829657)
  * wrap-and-sort -t -a
  * Removed pre-wheezy versioned dependency of python-all
  * Added autopkgtest-pkg-python testsuite

 -- Ondřej Nový <onovy@debian.org>  Wed, 06 Jul 2016 14:17:59 +0200

python-bioblend (0.7.0-1) unstable; urgency=medium

  * Initial release (Closes: #829017)

 -- Steffen Moeller <moeller@debian.org>  Tue, 28 Jun 2016 15:26:35 +0200

=== debian/control ===
Source: python-bioblend
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
Build-Depends: debhelper (>=9),
               dh-python,
               python-all,
               python-boto,
               python-requests-toolbelt,
               python-setuptools,
               python3-all,
               python3-boto,
               python3-requests-toolbelt,
               python3-setuptools,
               python3-sphinx,
Standards-Version: 3.9.8
Homepage: https://github.com/galaxyproject/bioblend
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-bioblend.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-bioblend.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Testsuite: autopkgtest-pkg-python

Package: python-bioblend
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Conflicts: python3-bioblend,
Suggests: python-bioblend-doc,
Description: CloudMan and Galaxy API library (Python 2)
 BioBlend is a Python library for interacting with CloudMan and Galaxy's API.
 BioBlend is supported and tested on:
  · Python 2.6, 2.7, 3.3 and 3.4
  · Galaxy release_14.02 and later.
 Conceptually, it makes it possible to script and automate  the  process
 of cloud infrastructure provisioning and scaling via CloudMan, and run‐
 ning of analyses via Galaxy. In reality, it makes  it  possible  to  do
 things like this:
  · Create  a CloudMan compute cluster, via an API and directly from your
    local machine:
  · Reconnect to an existing CloudMan instance and manipulate it
  · Interact with Galaxy via a straightforward API
 .
 Although this library allows you to blend these two services into  a
 cohesive  unit,  the  library itself can be used with either service
 irrespective of the other. For example,  you  can  use  it  to  just
 manipulate  CloudMan  clusters or to script the interactions with an
 instance of Galaxy running on your laptop.
 .
 This package installs the library for Python 2.

Package: python3-bioblend
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Conflicts: python-bioblend,
Suggests: python-bioblend-doc,
Description: CloudMan and Galaxy API library (Python 3)
 BioBlend is a Python library for interacting with CloudMan and Galaxy's API.
 BioBlend is supported and tested on:
  · Python 2.6, 2.7, 3.3 and 3.4
  · Galaxy release_14.02 and later.
 Conceptually, it makes it possible to script and automate  the  process
 of cloud infrastructure provisioning and scaling via CloudMan, and run‐
 ning of analyses via Galaxy. In reality, it makes  it  possible  to  do
 things like this:
  · Create  a CloudMan compute cluster, via an API and directly from your
    local machine:
  · Reconnect to an existing CloudMan instance and manipulate it
  · Interact with Galaxy via a straightforward API
 .
 Although this library allows you to blend these two services into  a
 cohesive  unit,  the  library itself can be used with either service
 irrespective of the other. For example,  you  can  use  it  to  just
 manipulate  CloudMan  clusters or to script the interactions with an
 instance of Galaxy running on your laptop.
 .
 This package installs the library for Python 3.

Package: python-bioblend-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         libjs-underscore,
         ${misc:Depends},
         ${sphinxdoc:Depends},
Description: CloudMan and Galaxy API library (common documentation)
 BioBlend is a Python library for interacting with CloudMan and Galaxy's
 API.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=bioblend

%:
	dh $@  --with python2,python3 --buildsystem=pybuild


override_dh_auto_install:
	cd docs && make man
	cd docs && make singlehtml
	dh_auto_install

override_dh_auto_test:
	echo "No auto tests without CloudMan"

# If you need to rebuild the Sphinx documentation
# Add spinxdoc to the dh --with line
#override_dh_auto_build:
#	dh_auto_build
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml        docs/ build/html # HTML generator
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman        docs/ build/man # Manpage generator

override_dh_auto_clean:
	dh_clean
	rm -rf bioblend.egg-info .eggs .pybuild _build docs/_build
	find . -name "*.pyc" -delete

override_dh_installdocs:
	dh_installdocs -Xjquery.js -Xunderscore.js

=== debian/watch ===
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/galaxyproject/bioblend/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-bioblend 0.16.0

=== docs/requirements.txt ===
sphinx>=2
sphinx-rtd-theme

=== debian/changelog ===
python-bioblend (0.16.0-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Apply multi-arch hints.
    + python-bioblend-doc: Add Multi-Arch: foreign.
  * Set upstream metadata fields: Bug-Submit.
  * Bump debhelper from old 12 to 13.

  [ Andreas Tille ]
  * Moved package to Debian Med team
  * Standards-Version: 4.6.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Fix watch file
  * Fix doc-base file
  * Drop debian/README.Debian

 -- Andreas Tille <tille@debian.org>  Sat, 15 Jan 2022 20:44:53 +0100

python-bioblend (0.7.0-3) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Thu, 25 Jul 2019 19:26:53 +0200

=== debian/control ===
Source: python-bioblend
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-boto,
               python3-requests-toolbelt,
               python3-setuptools,
               python3-sphinx,
Standards-Version: 4.6.0
Homepage: https://github.com/galaxyproject/bioblend
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/med-team/python-bioblend.git
Vcs-Browser: https://salsa.debian.org/med-team/python-bioblend
Testsuite: autopkgtest-pkg-python

Package: python3-bioblend
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Conflicts: python-bioblend,
Suggests: python-bioblend-doc,
Description: CloudMan and Galaxy API library (Python 3)
 BioBlend is a Python library for interacting with CloudMan and Galaxy's API.
 BioBlend is supported and tested on:
  · Python 2.6, 2.7, 3.3 and 3.4
  · Galaxy release_14.02 and later.
 Conceptually, it makes it possible to script and automate  the  process
 of cloud infrastructure provisioning and scaling via CloudMan, and run‐
 ning of analyses via Galaxy. In reality, it makes  it  possible  to  do
 things like this:
  · Create  a CloudMan compute cluster, via an API and directly from your
    local machine:
  · Reconnect to an existing CloudMan instance and manipulate it
  · Interact with Galaxy via a straightforward API
 .
 Although this library allows you to blend these two services into  a
 cohesive  unit,  the  library itself can be used with either service
 irrespective of the other. For example,  you  can  use  it  to  just
 manipulate  CloudMan  clusters or to script the interactions with an
 instance of Galaxy running on your laptop.
 .
 This package installs the library for Python 3.

Package: python-bioblend-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         libjs-underscore,
         ${misc:Depends},
         ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: CloudMan and Galaxy API library (common documentation)
 BioBlend is a Python library for interacting with CloudMan and Galaxy's
 API.
 .
 This is the common documentation package.

## python-bioblend 0.17.0

=== debian/changelog ===
python-bioblend (0.17.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.17.0
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 30 May 2022 19:59:19 +0530

python-bioblend (0.16.0-3) unstable; urgency=medium

  * Team Upload.
  * d/t/run-unit-test: Do not test inplace, rather
    in AUTOPKGTEST_TMP
  * d/copyright: Update copyright year

 -- Nilesh Patra <nilesh@debian.org>  Fri, 08 Apr 2022 02:12:13 +0530

python-bioblend (0.16.0-2) unstable; urgency=medium

  * Team upload.
  * add autopkgtest

 -- Mohammed Bilal <mdbilal@disroot.org>  Thu, 07 Apr 2022 16:49:33 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-requests-toolbelt,
                python3-setuptools,
                python3-sphinx,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/galaxyproject/bioblend
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/med-team/python-bioblend.git

## python-bioblend 1.0.0

=== debian/changelog ===
python-bioblend (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Lance Lin <lqi254@protonmail.com>  Wed, 23 Nov 2022 21:17:58 +0700

python-bioblend (0.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 25 Aug 2022 22:19:08 +0200

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
+         python3-tuspy
 Conflicts: python-bioblend,
 Suggests: python-bioblend-doc,
 Description: CloudMan and Galaxy API library (Python 3)

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_NAME=bioblend
 
 %:
-	dh $@  --with python2,python3 --buildsystem=pybuild
+	dh $@  --with python3 --buildsystem=pybuild
 
 
 override_dh_auto_install:

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/galaxyproject/bioblend/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-bioblend 1.2.0

=== Makefile ===
IN_VENV=. .venv/bin/activate

.PHONY: clean release venv

all:
	@echo "This makefile is used for the release process. A sensible all target is not implemented."

clean:
	rm -rf bioblend.egg-info/ build/ dist/
	make -C docs/ clean

venv:
	# Create and activate a virtual environment
	[ -f .venv/bin/activate ] || virtualenv -p python3 .venv
	( $(IN_VENV) && \
	  # Install latest versions of pip and setuptools \
	  python3 -m pip install --upgrade pip setuptools && \
	  # Install latest versions of other needed packages in the virtualenv \
	  python3 -m pip install --upgrade twine wheel \
	)

release: clean venv
	( $(IN_VENV) && \
	  # Create files in dist/ \
	  python3 setup.py sdist bdist_wheel && \
	  twine check dist/* && \
	  twine upload dist/*
	)

=== docs/requirements.txt ===
sphinx>=2
sphinx-rtd-theme>=0.5.2

=== debian/changelog ===
python-bioblend (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Drop python3-boto from Build-Depends
    Closes: #1059955

 -- Andreas Tille <tille@debian.org>  Sat, 06 Jan 2024 08:13:32 +0100

python-bioblend (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * d/control:
    - Remove autopkgtest-pkg-python testsuite
    - Add Build-Depends, python3-sphinx-rtd-theme and python3-typing-extensions
  * d/copyright: Update year to 2023 for debian/* files
  * d/python3-bioblend.examples: Install examples

 -- Lance Lin <lq27267@gmail.com>  Fri, 08 Sep 2023 20:31:07 +0700

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,28 @@
 Source: python-bioblend
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Steffen Moeller <moeller@debian.org>
 Section: python
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Steffen Moeller <moeller@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
-               python3-boto,
                python3-requests-toolbelt,
                python3-setuptools,
                python3-sphinx,
-Standards-Version: 4.6.1
+               python3-sphinx-rtd-theme,
+               python3-typing-extensions
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/med-team/python-bioblend
+Vcs-Git: https://salsa.debian.org/med-team/python-bioblend.git
 Homepage: https://github.com/galaxyproject/bioblend
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/med-team/python-bioblend.git
-Vcs-Browser: https://salsa.debian.org/med-team/python-bioblend
-Testsuite: autopkgtest-pkg-python
 
 Package: python3-bioblend
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-tuspy
-Conflicts: python-bioblend,
-Suggests: python-bioblend-doc,
+Suggests: python-bioblend-doc
 Description: CloudMan and Galaxy API library (Python 3)
  BioBlend is a Python library for interacting with CloudMan and Galaxy's API.
  BioBlend is supported and tested on:
@@ -48,12 +47,12 @@
 
 Package: python-bioblend-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: libjs-jquery,
          libjs-underscore,
          ${misc:Depends},
-         ${sphinxdoc:Depends},
-Multi-Arch: foreign
+         ${sphinxdoc:Depends}
 Description: CloudMan and Galaxy API library (common documentation)
  BioBlend is a Python library for interacting with CloudMan and Galaxy's
  API.
